<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja klasy QCPAxisPainterPrivate</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_q_c_p_axis_painter_private.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#nested-classes">Komponenty</a> &#124;
<a href="#pub-methods">Metody publiczne</a> &#124;
<a href="#pub-attribs">Atrybuty publiczne</a> &#124;
<a href="#pro-methods">Metody chronione</a> &#124;
<a href="#pro-attribs">Atrybuty chronione</a> &#124;
<a href="class_q_c_p_axis_painter_private-members.html">Lista wszystkich składowych</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja klasy QCPAxisPainterPrivate</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>&gt;</code></p>
<div class="dynheader">
Diagram współpracy dla QCPAxisPainterPrivate:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_painter_private__coll__graph.png" border="0" usemap="#a_q_c_p_axis_painter_private_coll__map" alt="Collaboration graph"/></div>
<map name="a_q_c_p_axis_painter_private_coll__map" id="a_q_c_p_axis_painter_private_coll__map">
<area shape="rect" title=" " alt="" coords="311,108,468,133"/>
<area shape="rect" href="class_q_c_p_axis.html" title="Manages a single axis inside a QCustomPlot." alt="" coords="160,211,235,236"/>
<area shape="poly" title=" " alt="" coords="370,145,343,168,311,189,273,205,236,216,234,211,271,200,308,184,340,164,366,141"/>
<area shape="rect" href="class_q_c_p_line_ending.html" title="Handles the different ending decorations for line&#45;like items." alt="" coords="332,5,447,31"/>
<area shape="poly" title=" " alt="" coords="392,45,392,108,387,108,387,45"/>
<area shape="rect" href="class_q_custom_plot.html" title="The central class of the library. This is the QWidget which displays the plot and interacts with the ..." alt="" coords="431,343,531,368"/>
<area shape="poly" title=" " alt="" coords="479,329,476,293,469,249,456,202,435,159,424,146,410,136,413,131,427,142,440,156,461,200,475,248,481,292,484,328"/>
<area shape="rect" href="class_q_c_p_layerable.html" title="Base class for all drawable objects." alt="" coords="321,519,428,544"/>
<area shape="poly" title=" " alt="" coords="458,379,443,394,430,412,420,432,382,519,377,517,415,430,426,409,439,390,454,375"/>
<area shape="rect" href="class_q_c_p_layer.html" title="A layer that may contain objects, to control the rendering order." alt="" coords="505,431,588,456"/>
<area shape="poly" title=" " alt="" coords="459,379,451,393,453,405,473,418,506,429,504,434,471,423,448,408,446,392,454,376"/>
<area shape="rect" title=" " alt="" coords="361,211,433,236"/>
<area shape="poly" title=" " alt="" coords="414,246,476,341,472,344,410,249"/>
<area shape="poly" title=" " alt="" coords="249,233,280,244,311,258,332,273,345,287,359,302,379,316,407,330,437,340,435,345,405,335,376,321,355,306,341,291,328,277,308,262,278,249,247,238"/>
<area shape="rect" href="class_q_c_p_grid.html" title="Responsible for drawing the grid of a QCPAxis." alt="" coords="141,607,216,632"/>
<area shape="poly" title=" " alt="" coords="194,250,186,298,181,354,181,533,181,606,176,606,176,533,176,354,180,297,189,249"/>
<area shape="poly" title=" " alt="" coords="359,508,202,238,206,235,363,505"/>
<area shape="rect" href="class_q_c_p_layout_element.html" title="The abstract base class for all objects that form the layout system." alt="" coords="307,607,443,632"/>
<area shape="poly" title=" " alt="" coords="377,558,377,606,372,606,372,558"/>
<area shape="poly" title=" " alt="" coords="337,552,206,609,204,604,335,547"/>
<area shape="rect" href="class_q_c_p_selection_rect.html" title="Provides rect/rubber&#45;band data selection and range zoom interaction." alt="" coords="476,607,607,632"/>
<area shape="poly" title=" " alt="" coords="411,548,520,604,517,609,408,553"/>
<area shape="rect" title=" " alt="" coords="335,343,406,368"/>
<area shape="poly" title=" " alt="" coords="374,382,377,518,372,518,369,382"/>
<area shape="poly" title=" " alt="" coords="397,375,443,404,506,429,504,434,440,409,394,379"/>
<area shape="poly" title=" " alt="" coords="537,418,525,394,499,370,502,366,529,390,542,416"/>
<area shape="poly" title=" " alt="" coords="513,465,399,521,397,516,510,460"/>
<area shape="rect" href="class_q_c_p_axis_rect.html" title="Holds multiple axes and arranges them in a rectangular shape." alt="" coords="254,857,357,883"/>
<area shape="poly" title=" " alt="" coords="240,866,166,856,89,841,55,830,28,817,10,802,3,784,3,354,7,327,19,304,38,285,60,268,111,244,159,230,161,235,113,249,63,273,41,289,24,307,12,329,8,354,8,783,14,799,31,813,57,825,90,835,167,851,240,861"/>
<area shape="poly" title=" " alt="" coords="387,644,401,683,411,732,410,785,403,811,392,835,377,850,358,860,356,855,373,846,387,832,398,809,405,785,405,733,395,684,382,645"/>
<area shape="rect" href="class_q_c_p_layout.html" title="The abstract base class for layouts." alt="" coords="275,695,365,720"/>
<area shape="poly" title=" " alt="" coords="370,646,358,672,336,696,333,693,354,669,366,644"/>
<area shape="poly" title=" " alt="" coords="278,690,261,675,258,665,262,655,281,637,306,626,308,631,284,641,266,657,263,665,265,672,281,686"/>
<area shape="rect" href="class_q_c_p_layout_inset.html" title="A layout that places child elements aligned to the border or arbitrarily positioned." alt="" coords="249,769,367,795"/>
<area shape="poly" title=" " alt="" coords="318,734,313,769,307,769,313,733"/>
<area shape="rect" href="class_q_c_p_layout_grid.html" title="A layout that arranges child elements in a grid." alt="" coords="655,769,769,795"/>
<area shape="poly" title=" " alt="" coords="379,717,655,768,654,773,378,722"/>
<area shape="poly" title=" " alt="" coords="310,809,309,819,308,857,303,857,304,819,304,809"/>
<area shape="rect" href="class_q_c_p_range.html" title="Represents the range an axis is encompassing." alt="" coords="154,108,241,133"/>
<area shape="poly" title=" " alt="" coords="200,147,200,211,195,211,195,147"/>
<area shape="poly" title=" " alt="" coords="140,602,106,574,94,555,89,533,89,354,92,334,99,314,122,281,150,253,176,234,180,238,153,258,126,284,104,317,97,335,95,354,95,532,99,553,110,570,143,598"/>
<area shape="rect" href="class_q_c_p_legend.html" title="Manages a legend inside a QCustomPlot." alt="" coords="729,857,823,883"/>
<area shape="poly" title=" " alt="" coords="788,844,801,816,807,783,807,442,805,433,799,424,778,408,745,395,704,384,613,370,531,362,532,357,614,364,705,379,746,390,780,404,803,421,810,431,812,442,812,784,806,817,793,846"/>
<area shape="poly" title=" " alt="" coords="709,755,709,709,709,442,705,423,692,412,650,394,589,374,531,363,532,358,591,369,652,390,695,407,709,420,715,442,715,709,715,755"/>
<area shape="poly" title=" " alt="" coords="731,804,769,855,765,858,727,807"/>
<area shape="poly" title=" " alt="" coords="548,593,595,479,618,429,631,408,634,402,627,394,613,384,590,376,531,365,532,359,591,371,616,379,631,390,639,401,636,410,623,432,600,481,553,595"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Komponenty</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_q_c_p_axis_painter_private_1_1_cached_label.html">CachedLabel</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_q_c_p_axis_painter_private_1_1_tick_label_data.html">TickLabelData</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Metody publiczne</h2></td></tr>
<tr class="memitem:a0f14aa5c4aa83dbcd68984a7c73bf94f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_painter_private.html#a0f14aa5c4aa83dbcd68984a7c73bf94f">QCPAxisPainterPrivate</a> (<a class="el" href="class_q_custom_plot.html">QCustomPlot</a> *parentPlot)</td></tr>
<tr class="separator:a0f14aa5c4aa83dbcd68984a7c73bf94f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c7f95313f0f78c3c3975f822a5fea35"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_painter_private.html#a7c7f95313f0f78c3c3975f822a5fea35">~QCPAxisPainterPrivate</a> ()</td></tr>
<tr class="separator:a7c7f95313f0f78c3c3975f822a5fea35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0207a99bdf9c4f70af20928898ddc2fc"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_painter_private.html#a0207a99bdf9c4f70af20928898ddc2fc">draw</a> (<a class="el" href="class_q_c_p_painter.html">QCPPainter</a> *painter)</td></tr>
<tr class="separator:a0207a99bdf9c4f70af20928898ddc2fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62aa9247b2ab22a3e069b9b867376f85"><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_painter_private.html#a62aa9247b2ab22a3e069b9b867376f85">size</a> ()</td></tr>
<tr class="separator:a62aa9247b2ab22a3e069b9b867376f85"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b6806e32c44384fd0ae4dcdaa72b1b5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_painter_private.html#a7b6806e32c44384fd0ae4dcdaa72b1b5">clearCache</a> ()</td></tr>
<tr class="separator:a7b6806e32c44384fd0ae4dcdaa72b1b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab29635564acb5d0012fa9e297477db05"><td class="memItemLeft" align="right" valign="top">QRect&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_painter_private.html#ab29635564acb5d0012fa9e297477db05">axisSelectionBox</a> () const</td></tr>
<tr class="separator:ab29635564acb5d0012fa9e297477db05"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf8a4fef47cec70b596fe20941aa5b16"><td class="memItemLeft" align="right" valign="top">QRect&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_painter_private.html#acf8a4fef47cec70b596fe20941aa5b16">tickLabelsSelectionBox</a> () const</td></tr>
<tr class="separator:acf8a4fef47cec70b596fe20941aa5b16"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7800667d15867040ada5f4bf027f070"><td class="memItemLeft" align="right" valign="top">QRect&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_painter_private.html#ae7800667d15867040ada5f4bf027f070">labelSelectionBox</a> () const</td></tr>
<tr class="separator:ae7800667d15867040ada5f4bf027f070"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Atrybuty publiczne</h2></td></tr>
<tr class="memitem:ae04594e97417336933d807c86d353098"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_axis.html#ae2bcc1728b382f10f064612b368bc18a">QCPAxis::AxisType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_painter_private.html#ae04594e97417336933d807c86d353098">type</a></td></tr>
<tr class="separator:ae04594e97417336933d807c86d353098"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4affb27ae3485fecb7466622cabcbb2"><td class="memItemLeft" align="right" valign="top">QPen&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_painter_private.html#ab4affb27ae3485fecb7466622cabcbb2">basePen</a></td></tr>
<tr class="separator:ab4affb27ae3485fecb7466622cabcbb2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a077696dd1e7efb96e4c199f521433e24"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_line_ending.html">QCPLineEnding</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_painter_private.html#a077696dd1e7efb96e4c199f521433e24">lowerEnding</a></td></tr>
<tr class="separator:a077696dd1e7efb96e4c199f521433e24"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af764be913be5f924700ac9bbb8c01139"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_line_ending.html">QCPLineEnding</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_painter_private.html#af764be913be5f924700ac9bbb8c01139">upperEnding</a></td></tr>
<tr class="separator:af764be913be5f924700ac9bbb8c01139"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f7465372df132bf7814345ea697dd34"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_painter_private.html#a3f7465372df132bf7814345ea697dd34">labelPadding</a></td></tr>
<tr class="separator:a3f7465372df132bf7814345ea697dd34"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add1ff1030fbc36112c19b1468ad82d55"><td class="memItemLeft" align="right" valign="top">QFont&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_painter_private.html#add1ff1030fbc36112c19b1468ad82d55">labelFont</a></td></tr>
<tr class="separator:add1ff1030fbc36112c19b1468ad82d55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c36467daf057da0cf0792f3c5a06089"><td class="memItemLeft" align="right" valign="top">QColor&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_painter_private.html#a5c36467daf057da0cf0792f3c5a06089">labelColor</a></td></tr>
<tr class="separator:a5c36467daf057da0cf0792f3c5a06089"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe004c322f92543c0467afc02da6cf6d"><td class="memItemLeft" align="right" valign="top">QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_painter_private.html#afe004c322f92543c0467afc02da6cf6d">label</a></td></tr>
<tr class="separator:afe004c322f92543c0467afc02da6cf6d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a264cfa080e84e536cf2d1ab9c5d5cc5f"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_painter_private.html#a264cfa080e84e536cf2d1ab9c5d5cc5f">tickLabelPadding</a></td></tr>
<tr class="separator:a264cfa080e84e536cf2d1ab9c5d5cc5f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae6ade9232a8e400924009e8edca94bac"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_painter_private.html#ae6ade9232a8e400924009e8edca94bac">tickLabelRotation</a></td></tr>
<tr class="separator:ae6ade9232a8e400924009e8edca94bac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d27f7625fcfbeb3a60193d0c18fc7e9"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_axis.html#a24b13374b9b8f75f47eed2ea78c37db9">QCPAxis::LabelSide</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_painter_private.html#a9d27f7625fcfbeb3a60193d0c18fc7e9">tickLabelSide</a></td></tr>
<tr class="separator:a9d27f7625fcfbeb3a60193d0c18fc7e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a546d22b10ddb5ca8582b7deb90223a91"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_painter_private.html#a546d22b10ddb5ca8582b7deb90223a91">substituteExponent</a></td></tr>
<tr class="separator:a546d22b10ddb5ca8582b7deb90223a91"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0deb7524009140f00a774dfd286d002c"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_painter_private.html#a0deb7524009140f00a774dfd286d002c">numberMultiplyCross</a></td></tr>
<tr class="separator:a0deb7524009140f00a774dfd286d002c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7360ff805fc6097019de8b35ffbd7e7"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_painter_private.html#ae7360ff805fc6097019de8b35ffbd7e7">tickLengthIn</a></td></tr>
<tr class="separator:ae7360ff805fc6097019de8b35ffbd7e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acbebb1f868906200f968627bc907b77d"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_painter_private.html#acbebb1f868906200f968627bc907b77d">tickLengthOut</a></td></tr>
<tr class="separator:acbebb1f868906200f968627bc907b77d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af11f7d83021c9cb3b0e76fe7814c6110"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_painter_private.html#af11f7d83021c9cb3b0e76fe7814c6110">subTickLengthIn</a></td></tr>
<tr class="separator:af11f7d83021c9cb3b0e76fe7814c6110"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f1afddc3dc7ccc4d5adcbcd8f0c2218"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_painter_private.html#a5f1afddc3dc7ccc4d5adcbcd8f0c2218">subTickLengthOut</a></td></tr>
<tr class="separator:a5f1afddc3dc7ccc4d5adcbcd8f0c2218"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a389dde97f02fdee23965e4736e7d8c62"><td class="memItemLeft" align="right" valign="top">QPen&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_painter_private.html#a389dde97f02fdee23965e4736e7d8c62">tickPen</a></td></tr>
<tr class="separator:a389dde97f02fdee23965e4736e7d8c62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b9cf594cd16575f52ecda9abef4e412"><td class="memItemLeft" align="right" valign="top">QPen&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_painter_private.html#a9b9cf594cd16575f52ecda9abef4e412">subTickPen</a></td></tr>
<tr class="separator:a9b9cf594cd16575f52ecda9abef4e412"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06cb4b185feb1e560e01d65887e4d80d"><td class="memItemLeft" align="right" valign="top">QFont&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_painter_private.html#a06cb4b185feb1e560e01d65887e4d80d">tickLabelFont</a></td></tr>
<tr class="separator:a06cb4b185feb1e560e01d65887e4d80d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88032cf15c997e3956b79617b859e8ad"><td class="memItemLeft" align="right" valign="top">QColor&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_painter_private.html#a88032cf15c997e3956b79617b859e8ad">tickLabelColor</a></td></tr>
<tr class="separator:a88032cf15c997e3956b79617b859e8ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afcd55b0e1ecd689fffd2b1fc75dc7732"><td class="memItemLeft" align="right" valign="top">QRect&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_painter_private.html#afcd55b0e1ecd689fffd2b1fc75dc7732">axisRect</a></td></tr>
<tr class="separator:afcd55b0e1ecd689fffd2b1fc75dc7732"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8627dc6b40781e3291bb508e4ac574d6"><td class="memItemLeft" align="right" valign="top">QRect&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_painter_private.html#a8627dc6b40781e3291bb508e4ac574d6">viewportRect</a></td></tr>
<tr class="separator:a8627dc6b40781e3291bb508e4ac574d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a3931110efed91b0bb2f8cf1908a8e7"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_painter_private.html#a2a3931110efed91b0bb2f8cf1908a8e7">offset</a></td></tr>
<tr class="separator:a2a3931110efed91b0bb2f8cf1908a8e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68353c2eeabd00d96a2e36a0b3809cb2"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_painter_private.html#a68353c2eeabd00d96a2e36a0b3809cb2">abbreviateDecimalPowers</a></td></tr>
<tr class="separator:a68353c2eeabd00d96a2e36a0b3809cb2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06d0ef3f4f1b567feb84196fc3b140da"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_painter_private.html#a06d0ef3f4f1b567feb84196fc3b140da">reversedEndings</a></td></tr>
<tr class="separator:a06d0ef3f4f1b567feb84196fc3b140da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afcde7484bbcc1004b8f59ab984ada6f9"><td class="memItemLeft" align="right" valign="top">QVector&lt; double &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_painter_private.html#afcde7484bbcc1004b8f59ab984ada6f9">subTickPositions</a></td></tr>
<tr class="separator:afcde7484bbcc1004b8f59ab984ada6f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae55e3dc2cf2af8d8a6e7235ccab54786"><td class="memItemLeft" align="right" valign="top">QVector&lt; double &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_painter_private.html#ae55e3dc2cf2af8d8a6e7235ccab54786">tickPositions</a></td></tr>
<tr class="separator:ae55e3dc2cf2af8d8a6e7235ccab54786"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0a4998ca358ba751e84fca45a025abd"><td class="memItemLeft" align="right" valign="top">QVector&lt; QString &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_painter_private.html#ad0a4998ca358ba751e84fca45a025abd">tickLabels</a></td></tr>
<tr class="separator:ad0a4998ca358ba751e84fca45a025abd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-methods" name="pro-methods"></a>
Metody chronione</h2></td></tr>
<tr class="memitem:ab6f77ae2bd3eccca3fef4b7ec8e34b31"><td class="memItemLeft" align="right" valign="top">virtual QByteArray&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_painter_private.html#ab6f77ae2bd3eccca3fef4b7ec8e34b31">generateLabelParameterHash</a> () const</td></tr>
<tr class="separator:ab6f77ae2bd3eccca3fef4b7ec8e34b31"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8fe7350c19575bc33ca770f9b3a15fd"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_painter_private.html#af8fe7350c19575bc33ca770f9b3a15fd">placeTickLabel</a> (<a class="el" href="class_q_c_p_painter.html">QCPPainter</a> *painter, double position, int distanceToAxis, const QString &amp;text, QSize *tickLabelsSize)</td></tr>
<tr class="separator:af8fe7350c19575bc33ca770f9b3a15fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab666e1d85b234afbc88076c7ba9424a"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_painter_private.html#aab666e1d85b234afbc88076c7ba9424a">drawTickLabel</a> (<a class="el" href="class_q_c_p_painter.html">QCPPainter</a> *painter, double x, double y, const <a class="el" href="struct_q_c_p_axis_painter_private_1_1_tick_label_data.html">TickLabelData</a> &amp;labelData) const</td></tr>
<tr class="separator:aab666e1d85b234afbc88076c7ba9424a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5331f78e398da5442767c261578da502"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="struct_q_c_p_axis_painter_private_1_1_tick_label_data.html">TickLabelData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_painter_private.html#a5331f78e398da5442767c261578da502">getTickLabelData</a> (const QFont &amp;font, const QString &amp;text) const</td></tr>
<tr class="separator:a5331f78e398da5442767c261578da502"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6205b60c7d305854ffd7602139433f6e"><td class="memItemLeft" align="right" valign="top">virtual QPointF&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_painter_private.html#a6205b60c7d305854ffd7602139433f6e">getTickLabelDrawOffset</a> (const <a class="el" href="struct_q_c_p_axis_painter_private_1_1_tick_label_data.html">TickLabelData</a> &amp;labelData) const</td></tr>
<tr class="separator:a6205b60c7d305854ffd7602139433f6e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a961f0e05c57b51cf1100b05e93f5b9"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_painter_private.html#a7a961f0e05c57b51cf1100b05e93f5b9">getMaxTickLabelSize</a> (const QFont &amp;font, const QString &amp;text, QSize *tickLabelsSize) const</td></tr>
<tr class="separator:a7a961f0e05c57b51cf1100b05e93f5b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-attribs" name="pro-attribs"></a>
Atrybuty chronione</h2></td></tr>
<tr class="memitem:a882029a5f2d4abd71289d415c9b90a28"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_custom_plot.html">QCustomPlot</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_painter_private.html#a882029a5f2d4abd71289d415c9b90a28">mParentPlot</a></td></tr>
<tr class="separator:a882029a5f2d4abd71289d415c9b90a28"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab8be59df22ed4e43e3a6d511cbc466a"><td class="memItemLeft" align="right" valign="top">QByteArray&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_painter_private.html#aab8be59df22ed4e43e3a6d511cbc466a">mLabelParameterHash</a></td></tr>
<tr class="separator:aab8be59df22ed4e43e3a6d511cbc466a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a07ac270ea0c0ae084debd48d6a740e35"><td class="memItemLeft" align="right" valign="top">QCache&lt; QString, <a class="el" href="struct_q_c_p_axis_painter_private_1_1_cached_label.html">CachedLabel</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_painter_private.html#a07ac270ea0c0ae084debd48d6a740e35">mLabelCache</a></td></tr>
<tr class="separator:a07ac270ea0c0ae084debd48d6a740e35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d7586f4923994488bdd006415b13f5f"><td class="memItemLeft" align="right" valign="top">QRect&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_painter_private.html#a9d7586f4923994488bdd006415b13f5f">mAxisSelectionBox</a></td></tr>
<tr class="separator:a9d7586f4923994488bdd006415b13f5f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0adaf5f1d89be0f32dc4a904d157e5a9"><td class="memItemLeft" align="right" valign="top">QRect&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_painter_private.html#a0adaf5f1d89be0f32dc4a904d157e5a9">mTickLabelsSelectionBox</a></td></tr>
<tr class="separator:a0adaf5f1d89be0f32dc4a904d157e5a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abac9a47048d537f72ca147b6f29d30f1"><td class="memItemLeft" align="right" valign="top">QRect&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_painter_private.html#abac9a47048d537f72ca147b6f29d30f1">mLabelSelectionBox</a></td></tr>
<tr class="separator:abac9a47048d537f72ca147b6f29d30f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock">
<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02425">2425</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
</div><h2 class="groupheader">Dokumentacja konstruktora i destruktora</h2>
<a id="a0f14aa5c4aa83dbcd68984a7c73bf94f" name="a0f14aa5c4aa83dbcd68984a7c73bf94f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0f14aa5c4aa83dbcd68984a7c73bf94f">&#9670;&#160;</a></span>QCPAxisPainterPrivate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QCPAxisPainterPrivate::QCPAxisPainterPrivate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_q_custom_plot.html">QCustomPlot</a> *&#160;</td>
          <td class="paramname"><em>parentPlot</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Constructs a <a class="el" href="class_q_c_p_axis_painter_private.html">QCPAxisPainterPrivate</a> instance. Make sure to not create a new instance on every redraw, to utilize the caching mechanisms. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l09898">9898</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<a id="a7c7f95313f0f78c3c3975f822a5fea35" name="a7c7f95313f0f78c3c3975f822a5fea35"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7c7f95313f0f78c3c3975f822a5fea35">&#9670;&#160;</a></span>~QCPAxisPainterPrivate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QCPAxisPainterPrivate::~QCPAxisPainterPrivate </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l09923">9923</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja funkcji składowych</h2>
<a id="a0207a99bdf9c4f70af20928898ddc2fc" name="a0207a99bdf9c4f70af20928898ddc2fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0207a99bdf9c4f70af20928898ddc2fc">&#9670;&#160;</a></span>draw()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void QCPAxisPainterPrivate::draw </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_q_c_p_painter.html">QCPPainter</a> *&#160;</td>
          <td class="paramname"><em>painter</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l09934">9934</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_painter_private_a0207a99bdf9c4f70af20928898ddc2fc_cgraph.png" border="0" usemap="#aclass_q_c_p_axis_painter_private_a0207a99bdf9c4f70af20928898ddc2fc_cgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_painter_private_a0207a99bdf9c4f70af20928898ddc2fc_cgraph" id="aclass_q_c_p_axis_painter_private_a0207a99bdf9c4f70af20928898ddc2fc_cgraph">
<area shape="rect" title=" " alt="" coords="5,359,163,399"/>
<area shape="rect" href="class_q_c_p_painter.html#a5aff96296e995f6f35b2596a482aae37" title=" " alt="" coords="237,49,399,75"/>
<area shape="poly" title=" " alt="" coords="86,358,97,305,119,234,135,195,155,158,180,123,209,92,230,78,233,83,212,96,184,126,160,161,140,198,124,236,102,307,91,360"/>
<area shape="rect" href="class_q_c_p_line_ending.html#a4f45db54f2aba03acf055e29aec1e8e7" title=" " alt="" coords="244,151,392,176"/>
<area shape="poly" title=" " alt="" coords="91,358,108,322,134,278,167,232,209,193,235,179,238,183,212,197,171,236,138,281,113,325,96,360"/>
<area shape="rect" href="class_q_c_p_painter.html#a0b4b1b9bd495e182c731774dc800e6e0" title=" " alt="" coords="491,5,642,31"/>
<area shape="poly" title=" " alt="" coords="87,358,100,312,124,252,160,189,182,161,209,136,237,118,264,108,314,104,366,102,394,96,424,84,438,73,447,62,457,51,472,40,486,33,488,38,475,44,461,55,451,66,442,77,427,88,395,102,366,108,315,109,265,113,240,123,212,140,186,164,164,192,129,254,105,314,92,360"/>
<area shape="rect" href="class_q_c_p_vector2_d.html#a707bb3af3b1f9331a2450ec75eaf7eb0" title=" " alt="" coords="481,203,653,228"/>
<area shape="poly" title=" " alt="" coords="97,357,142,303,173,274,209,252,273,228,341,214,407,208,467,206,467,212,407,213,342,219,275,233,212,256,177,279,146,307,101,361"/>
<area shape="rect" href="class_q_c_p_painter.html#af9c7a4cd1791403901f8c5b82a150195" title=" " alt="" coords="497,252,636,277"/>
<area shape="poly" title=" " alt="" coords="104,357,150,320,179,302,210,287,280,268,353,258,422,255,483,256,483,261,422,260,353,264,281,274,212,293,181,306,153,324,108,361"/>
<area shape="rect" href="class_q_c_p_axis_painter_private.html#ab6f77ae2bd3eccca3fef4b7ec8e34b31" title=" " alt="" coords="217,302,419,342"/>
<area shape="poly" title=" " alt="" coords="162,357,222,343,223,348,164,363"/>
<area shape="rect" href="class_q_c_p_line_ending.html#a15a68706d298a0c9f94556f6b4db15ff" title=" " alt="" coords="235,367,401,392"/>
<area shape="poly" title=" " alt="" coords="163,377,221,377,221,382,163,382"/>
<area shape="rect" href="class_q_c_p_axis.html#ab988ef4538e2655bb77bd138189cd42e" title=" " alt="" coords="496,416,637,441"/>
<area shape="poly" title=" " alt="" coords="163,394,211,402,354,416,482,423,482,429,354,422,210,407,163,399"/>
<area shape="rect" href="class_q_c_p_axis_painter_private.html#af8fe7350c19575bc33ca770f9b3a15fd" title=" " alt="" coords="239,467,397,507"/>
<area shape="poly" title=" " alt="" coords="120,397,212,446,245,460,243,465,210,451,117,402"/>
<area shape="rect" href="class_q_c_p_line_ending.html#acacd24d386d459b282d3c57f16a5405d" title=" " alt="" coords="227,532,409,557"/>
<area shape="poly" title=" " alt="" coords="100,398,144,458,176,490,212,517,227,525,225,529,209,522,172,494,140,461,95,401"/>
<area shape="rect" href="class_q_custom_plot.html#a5441d11013afeaf4b8f2ea06e8624a25" title=" " alt="" coords="211,581,425,607"/>
<area shape="poly" title=" " alt="" coords="95,399,111,436,136,482,170,529,212,568,221,573,218,578,209,572,166,532,132,485,106,438,90,401"/>
<area shape="rect" href="class_q_c_p_painter.html#aaba1deb9188244d9ea65b035112b4d05" title=" " alt="" coords="227,631,409,656"/>
<area shape="poly" title=" " alt="" coords="92,399,105,444,129,504,164,566,186,593,212,617,219,622,216,626,209,621,182,597,159,569,124,506,100,446,87,400"/>
<area shape="rect" href="class_q_c_p_line_ending.html#a07e75aaac6c61322bf51af237c5778e3" title=" " alt="" coords="245,680,391,705"/>
<area shape="poly" title=" " alt="" coords="90,399,101,453,122,526,138,565,158,602,183,637,212,667,233,679,230,683,209,671,179,640,154,605,133,567,117,528,95,454,85,400"/>
<area shape="poly" title=" " alt="" coords="389,148,424,129,440,108,447,86,453,62,472,40,479,35,482,39,475,44,458,65,452,87,445,110,427,133,391,153"/>
<area shape="rect" href="class_q_c_p_vector2_d.html#ace99f200b347b14864808213eef16593" title=" " alt="" coords="495,55,638,80"/>
<area shape="poly" title=" " alt="" coords="376,148,424,129,438,119,447,109,457,99,472,89,488,82,490,87,475,94,461,103,451,113,441,123,427,134,378,153"/>
<area shape="rect" href="class_q_c_p_painter.html#aef102658219b24165f7ee2aad1b9e48f" title=" " alt="" coords="499,301,635,327"/>
<area shape="poly" title=" " alt="" coords="333,174,391,229,431,261,475,288,490,294,488,299,472,292,428,265,387,233,329,178"/>
<area shape="poly" title=" " alt="" coords="380,173,493,197,491,202,379,179"/>
<area shape="rect" href="class_q_c_p_vector2_d.html#a0e08d09f9027784237e302e32290b001" title=" " alt="" coords="473,104,660,129"/>
<area shape="poly" title=" " alt="" coords="386,148,484,129,485,135,387,153"/>
<area shape="poly" title=" " alt="" coords="342,174,401,205,474,238,497,246,495,251,472,243,399,210,340,178"/>
<area shape="rect" href="class_q_c_p_vector2_d.html#acd7af3f4a62833ada58be3f3021dbbac" title=" " alt="" coords="487,153,646,179"/>
<area shape="poly" title=" " alt="" coords="393,161,474,162,474,168,392,167"/>
<area shape="rect" href="class_q_c_p_vector2_d.html#a10adb5ab031fe94f0b64a3c5aefb552e" title=" " alt="" coords="739,203,885,228"/>
<area shape="poly" title=" " alt="" coords="653,213,726,213,726,218,653,218"/>
<area shape="rect" href="class_q_c_p_vector2_d.html#a04c90748c3623044c79fa20788ffbcc6" title=" " alt="" coords="716,153,908,179"/>
<area shape="poly" title=" " alt="" coords="630,200,734,179,735,184,631,205"/>
<area shape="rect" href="class_q_c_p_painter.html#a7e63fbcf47e35c6f2ecd11b8fef7c7d8" title=" " alt="" coords="708,252,916,277"/>
<area shape="poly" title=" " alt="" coords="636,262,694,262,694,267,636,267"/>
<area shape="rect" href="class_q_custom_plot.html#a53d35abe0f576f9838cde5d0bee47657" title=" " alt="" coords="477,351,656,391"/>
<area shape="poly" title=" " alt="" coords="419,339,464,348,463,354,418,345"/>
<area shape="poly" title=" " alt="" coords="348,465,385,437,423,403,437,385,445,369,455,353,472,337,485,330,488,334,475,341,459,356,450,371,442,388,427,406,389,441,351,469"/>
<area shape="poly" title=" " alt="" coords="352,465,389,438,423,403,439,373,444,344,451,316,459,302,472,288,483,280,486,284,475,292,463,305,456,318,449,345,444,374,428,406,392,442,355,469"/>
<area shape="poly" title=" " alt="" coords="352,465,408,434,472,402,492,394,494,399,474,407,410,439,355,469"/>
<area shape="poly" title=" " alt="" coords="396,466,498,442,500,447,397,471"/>
<area shape="rect" href="class_q_c_p_axis_painter_private.html#aab666e1d85b234afbc88076c7ba9424a" title=" " alt="" coords="488,645,645,685"/>
<area shape="poly" title=" " alt="" coords="399,501,427,519,440,533,447,547,452,576,457,604,464,617,475,631,480,635,477,639,471,635,459,620,452,606,447,577,442,549,435,536,424,523,396,505"/>
<area shape="rect" href="class_q_c_p_axis_painter_private.html#a5331f78e398da5442767c261578da502" title=" " alt="" coords="488,466,645,506"/>
<area shape="poly" title=" " alt="" coords="397,484,474,484,474,489,397,490"/>
<area shape="rect" href="class_q_c_p_axis_painter_private.html#a6205b60c7d305854ffd7602139433f6e" title=" " alt="" coords="483,530,651,570"/>
<area shape="poly" title=" " alt="" coords="397,504,474,524,473,529,396,510"/>
<area shape="rect" href="class_q_custom_plot.html#ac724f4075822f74f7b676a790095b877" title=" " alt="" coords="477,595,656,620"/>
<area shape="poly" title=" " alt="" coords="398,503,427,519,443,534,452,550,460,565,475,580,488,587,485,592,472,584,456,569,447,553,439,537,424,523,396,508"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_painter_private_a0207a99bdf9c4f70af20928898ddc2fc_icgraph.png" border="0" usemap="#aclass_q_c_p_axis_painter_private_a0207a99bdf9c4f70af20928898ddc2fc_icgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_painter_private_a0207a99bdf9c4f70af20928898ddc2fc_icgraph" id="aclass_q_c_p_axis_painter_private_a0207a99bdf9c4f70af20928898ddc2fc_icgraph">
<area shape="rect" title=" " alt="" coords="163,5,320,45"/>
<area shape="rect" href="class_q_c_p_axis.html#ac15ebb4225ca5212d8e5fffae481bc9b" title=" " alt="" coords="5,13,115,38"/>
<area shape="poly" title=" " alt="" coords="149,28,115,28,115,23,149,23"/>
</map>
</div>

</div>
</div>
<a id="a62aa9247b2ab22a3e069b9b867376f85" name="a62aa9247b2ab22a3e069b9b867376f85"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a62aa9247b2ab22a3e069b9b867376f85">&#9670;&#160;</a></span>size()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int QCPAxisPainterPrivate::size </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l10127">10127</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_painter_private_a62aa9247b2ab22a3e069b9b867376f85_cgraph.png" border="0" usemap="#aclass_q_c_p_axis_painter_private_a62aa9247b2ab22a3e069b9b867376f85_cgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_painter_private_a62aa9247b2ab22a3e069b9b867376f85_cgraph" id="aclass_q_c_p_axis_painter_private_a62aa9247b2ab22a3e069b9b867376f85_cgraph">
<area shape="rect" title=" " alt="" coords="5,69,163,109"/>
<area shape="rect" href="class_q_c_p_axis_painter_private.html#ab6f77ae2bd3eccca3fef4b7ec8e34b31" title=" " alt="" coords="211,5,412,45"/>
<area shape="poly" title=" " alt="" coords="155,67,226,47,227,52,157,72"/>
<area shape="rect" href="class_q_c_p_axis_painter_private.html#a7a961f0e05c57b51cf1100b05e93f5b9" title=" " alt="" coords="233,69,390,109"/>
<area shape="poly" title=" " alt="" coords="163,87,219,87,219,92,163,92"/>
<area shape="rect" href="class_q_c_p_axis.html#ab988ef4538e2655bb77bd138189cd42e" title=" " alt="" coords="241,134,382,159"/>
<area shape="poly" title=" " alt="" coords="164,107,211,119,247,128,246,133,210,124,162,112"/>
<area shape="rect" href="class_q_custom_plot.html#a53d35abe0f576f9838cde5d0bee47657" title=" " alt="" coords="460,5,639,45"/>
<area shape="poly" title=" " alt="" coords="412,23,446,23,446,28,412,28"/>
<area shape="poly" title=" " alt="" coords="386,67,461,46,462,51,387,72"/>
<area shape="rect" href="class_q_c_p_axis_painter_private.html#a5331f78e398da5442767c261578da502" title=" " alt="" coords="471,69,628,109"/>
<area shape="poly" title=" " alt="" coords="390,87,457,87,457,92,390,92"/>
<area shape="rect" href="class_q_custom_plot.html#ac724f4075822f74f7b676a790095b877" title=" " alt="" coords="460,134,639,159"/>
<area shape="poly" title=" " alt="" coords="391,106,483,128,482,133,390,111"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_painter_private_a62aa9247b2ab22a3e069b9b867376f85_icgraph.png" border="0" usemap="#aclass_q_c_p_axis_painter_private_a62aa9247b2ab22a3e069b9b867376f85_icgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_painter_private_a62aa9247b2ab22a3e069b9b867376f85_icgraph" id="aclass_q_c_p_axis_painter_private_a62aa9247b2ab22a3e069b9b867376f85_icgraph">
<area shape="rect" title=" " alt="" coords="225,5,383,45"/>
<area shape="rect" href="class_q_c_p_axis.html#a47bdb0a55de6759489ee47665199aebb" title=" " alt="" coords="5,13,177,38"/>
<area shape="poly" title=" " alt="" coords="211,28,177,28,177,23,211,23"/>
</map>
</div>

</div>
</div>
<a id="a7b6806e32c44384fd0ae4dcdaa72b1b5" name="a7b6806e32c44384fd0ae4dcdaa72b1b5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7b6806e32c44384fd0ae4dcdaa72b1b5">&#9670;&#160;</a></span>clearCache()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QCPAxisPainterPrivate::clearCache </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l10173">10173</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<a id="ab29635564acb5d0012fa9e297477db05" name="ab29635564acb5d0012fa9e297477db05"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab29635564acb5d0012fa9e297477db05">&#9670;&#160;</a></span>axisSelectionBox()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QRect QCPAxisPainterPrivate::axisSelectionBox </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02435">2435</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_painter_private_ab29635564acb5d0012fa9e297477db05_icgraph.png" border="0" usemap="#aclass_q_c_p_axis_painter_private_ab29635564acb5d0012fa9e297477db05_icgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_painter_private_ab29635564acb5d0012fa9e297477db05_icgraph" id="aclass_q_c_p_axis_painter_private_ab29635564acb5d0012fa9e297477db05_icgraph">
<area shape="rect" title=" " alt="" coords="380,5,537,45"/>
<area shape="rect" href="class_q_c_p_axis.html#a22ab2d71d7341b9b3974c0dd10619af2" title=" " alt="" coords="196,13,332,38"/>
<area shape="poly" title=" " alt="" coords="366,28,332,28,332,23,366,23"/>
<area shape="rect" href="class_q_c_p_axis.html#ad7db27e407c6ffdfca32ed3c53519584" title=" " alt="" coords="5,13,148,38"/>
<area shape="poly" title=" " alt="" coords="182,28,148,28,148,23,182,23"/>
</map>
</div>

</div>
</div>
<a id="acf8a4fef47cec70b596fe20941aa5b16" name="acf8a4fef47cec70b596fe20941aa5b16"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acf8a4fef47cec70b596fe20941aa5b16">&#9670;&#160;</a></span>tickLabelsSelectionBox()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QRect QCPAxisPainterPrivate::tickLabelsSelectionBox </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02436">2436</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_painter_private_acf8a4fef47cec70b596fe20941aa5b16_icgraph.png" border="0" usemap="#aclass_q_c_p_axis_painter_private_acf8a4fef47cec70b596fe20941aa5b16_icgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_painter_private_acf8a4fef47cec70b596fe20941aa5b16_icgraph" id="aclass_q_c_p_axis_painter_private_acf8a4fef47cec70b596fe20941aa5b16_icgraph">
<area shape="rect" title=" " alt="" coords="380,5,544,45"/>
<area shape="rect" href="class_q_c_p_axis.html#a22ab2d71d7341b9b3974c0dd10619af2" title=" " alt="" coords="196,13,332,38"/>
<area shape="poly" title=" " alt="" coords="366,28,332,28,332,23,366,23"/>
<area shape="rect" href="class_q_c_p_axis.html#ad7db27e407c6ffdfca32ed3c53519584" title=" " alt="" coords="5,13,148,38"/>
<area shape="poly" title=" " alt="" coords="182,28,148,28,148,23,182,23"/>
</map>
</div>

</div>
</div>
<a id="ae7800667d15867040ada5f4bf027f070" name="ae7800667d15867040ada5f4bf027f070"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae7800667d15867040ada5f4bf027f070">&#9670;&#160;</a></span>labelSelectionBox()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QRect QCPAxisPainterPrivate::labelSelectionBox </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02437">2437</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_painter_private_ae7800667d15867040ada5f4bf027f070_icgraph.png" border="0" usemap="#aclass_q_c_p_axis_painter_private_ae7800667d15867040ada5f4bf027f070_icgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_painter_private_ae7800667d15867040ada5f4bf027f070_icgraph" id="aclass_q_c_p_axis_painter_private_ae7800667d15867040ada5f4bf027f070_icgraph">
<area shape="rect" title=" " alt="" coords="380,5,537,45"/>
<area shape="rect" href="class_q_c_p_axis.html#a22ab2d71d7341b9b3974c0dd10619af2" title=" " alt="" coords="196,13,332,38"/>
<area shape="poly" title=" " alt="" coords="366,28,332,28,332,23,366,23"/>
<area shape="rect" href="class_q_c_p_axis.html#ad7db27e407c6ffdfca32ed3c53519584" title=" " alt="" coords="5,13,148,38"/>
<area shape="poly" title=" " alt="" coords="182,28,148,28,148,23,182,23"/>
</map>
</div>

</div>
</div>
<a id="ab6f77ae2bd3eccca3fef4b7ec8e34b31" name="ab6f77ae2bd3eccca3fef4b7ec8e34b31"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab6f77ae2bd3eccca3fef4b7ec8e34b31">&#9670;&#160;</a></span>generateLabelParameterHash()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QByteArray QCPAxisPainterPrivate::generateLabelParameterHash </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l10185">10185</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_painter_private_ab6f77ae2bd3eccca3fef4b7ec8e34b31_cgraph.png" border="0" usemap="#aclass_q_c_p_axis_painter_private_ab6f77ae2bd3eccca3fef4b7ec8e34b31_cgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_painter_private_ab6f77ae2bd3eccca3fef4b7ec8e34b31_cgraph" id="aclass_q_c_p_axis_painter_private_ab6f77ae2bd3eccca3fef4b7ec8e34b31_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,207,45"/>
<area shape="rect" href="class_q_custom_plot.html#a53d35abe0f576f9838cde5d0bee47657" title=" " alt="" coords="255,5,433,45"/>
<area shape="poly" title=" " alt="" coords="207,23,241,23,241,28,207,28"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_painter_private_ab6f77ae2bd3eccca3fef4b7ec8e34b31_icgraph.png" border="0" usemap="#aclass_q_c_p_axis_painter_private_ab6f77ae2bd3eccca3fef4b7ec8e34b31_icgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_painter_private_ab6f77ae2bd3eccca3fef4b7ec8e34b31_icgraph" id="aclass_q_c_p_axis_painter_private_ab6f77ae2bd3eccca3fef4b7ec8e34b31_icgraph">
<area shape="rect" title=" " alt="" coords="431,37,632,77"/>
<area shape="rect" href="class_q_c_p_axis_painter_private.html#a0207a99bdf9c4f70af20928898ddc2fc" title=" " alt="" coords="225,5,383,45"/>
<area shape="poly" title=" " alt="" coords="416,44,383,39,383,34,417,39"/>
<area shape="rect" href="class_q_c_p_axis_painter_private.html#a62aa9247b2ab22a3e069b9b867376f85" title=" " alt="" coords="225,69,383,109"/>
<area shape="poly" title=" " alt="" coords="417,76,383,81,383,76,416,71"/>
<area shape="rect" href="class_q_c_p_axis.html#ac15ebb4225ca5212d8e5fffae481bc9b" title=" " alt="" coords="37,13,146,38"/>
<area shape="poly" title=" " alt="" coords="211,28,146,28,146,23,211,23"/>
<area shape="rect" href="class_q_c_p_axis.html#a47bdb0a55de6759489ee47665199aebb" title=" " alt="" coords="5,77,177,102"/>
<area shape="poly" title=" " alt="" coords="211,92,177,92,177,87,211,87"/>
</map>
</div>

</div>
</div>
<a id="af8fe7350c19575bc33ca770f9b3a15fd" name="af8fe7350c19575bc33ca770f9b3a15fd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af8fe7350c19575bc33ca770f9b3a15fd">&#9670;&#160;</a></span>placeTickLabel()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void QCPAxisPainterPrivate::placeTickLabel </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_q_c_p_painter.html">QCPPainter</a> *&#160;</td>
          <td class="paramname"><em>painter</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>position</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>distanceToAxis</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const QString &amp;&#160;</td>
          <td class="paramname"><em>text</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QSize *&#160;</td>
          <td class="paramname"><em>tickLabelsSize</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l10217">10217</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_painter_private_af8fe7350c19575bc33ca770f9b3a15fd_cgraph.png" border="0" usemap="#aclass_q_c_p_axis_painter_private_af8fe7350c19575bc33ca770f9b3a15fd_cgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_painter_private_af8fe7350c19575bc33ca770f9b3a15fd_cgraph" id="aclass_q_c_p_axis_painter_private_af8fe7350c19575bc33ca770f9b3a15fd_cgraph">
<area shape="rect" title=" " alt="" coords="5,227,163,267"/>
<area shape="rect" href="class_q_custom_plot.html#a53d35abe0f576f9838cde5d0bee47657" title=" " alt="" coords="211,5,389,45"/>
<area shape="poly" title=" " alt="" coords="91,225,108,189,134,144,167,97,209,55,216,50,220,54,212,59,172,100,138,147,113,192,96,228"/>
<area shape="rect" href="class_q_c_p_axis_painter_private.html#aab666e1d85b234afbc88076c7ba9424a" title=" " alt="" coords="221,69,379,109"/>
<area shape="poly" title=" " alt="" coords="99,225,145,173,175,144,209,119,220,113,222,118,212,124,179,148,148,177,103,228"/>
<area shape="rect" href="class_q_c_p_axis_painter_private.html#a5331f78e398da5442767c261578da502" title=" " alt="" coords="221,133,379,173"/>
<area shape="poly" title=" " alt="" coords="123,224,210,183,227,176,229,181,212,188,125,229"/>
<area shape="rect" href="class_q_c_p_axis_painter_private.html#a6205b60c7d305854ffd7602139433f6e" title=" " alt="" coords="216,197,384,237"/>
<area shape="poly" title=" " alt="" coords="163,233,202,228,203,233,163,239"/>
<area shape="rect" href="class_q_c_p_painter.html#aef102658219b24165f7ee2aad1b9e48f" title=" " alt="" coords="232,262,368,287"/>
<area shape="poly" title=" " alt="" coords="163,254,218,261,218,267,163,259"/>
<area shape="rect" href="class_q_c_p_axis.html#ab988ef4538e2655bb77bd138189cd42e" title=" " alt="" coords="229,311,371,337"/>
<area shape="poly" title=" " alt="" coords="131,264,212,296,239,305,237,310,210,301,129,269"/>
<area shape="rect" href="class_q_custom_plot.html#ac724f4075822f74f7b676a790095b877" title=" " alt="" coords="211,361,389,386"/>
<area shape="poly" title=" " alt="" coords="107,265,153,306,212,346,230,354,228,359,209,350,150,310,103,269"/>
<area shape="rect" href="class_q_c_p_painter.html#af9c7a4cd1791403901f8c5b82a150195" title=" " alt="" coords="231,410,369,435"/>
<area shape="poly" title=" " alt="" coords="99,266,143,330,175,365,212,395,225,402,223,407,209,400,172,369,139,333,95,269"/>
<area shape="rect" href="class_q_c_p_painter.html#a7e63fbcf47e35c6f2ecd11b8fef7c7d8" title=" " alt="" coords="437,410,645,435"/>
<area shape="poly" title=" " alt="" coords="370,420,424,420,424,425,370,425"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_painter_private_af8fe7350c19575bc33ca770f9b3a15fd_icgraph.png" border="0" usemap="#aclass_q_c_p_axis_painter_private_af8fe7350c19575bc33ca770f9b3a15fd_icgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_painter_private_af8fe7350c19575bc33ca770f9b3a15fd_icgraph" id="aclass_q_c_p_axis_painter_private_af8fe7350c19575bc33ca770f9b3a15fd_icgraph">
<area shape="rect" title=" " alt="" coords="368,5,525,45"/>
<area shape="rect" href="class_q_c_p_axis_painter_private.html#a0207a99bdf9c4f70af20928898ddc2fc" title=" " alt="" coords="163,5,320,45"/>
<area shape="poly" title=" " alt="" coords="354,28,320,28,320,23,354,23"/>
<area shape="rect" href="class_q_c_p_axis.html#ac15ebb4225ca5212d8e5fffae481bc9b" title=" " alt="" coords="5,13,115,38"/>
<area shape="poly" title=" " alt="" coords="149,28,115,28,115,23,149,23"/>
</map>
</div>

</div>
</div>
<a id="aab666e1d85b234afbc88076c7ba9424a" name="aab666e1d85b234afbc88076c7ba9424a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab666e1d85b234afbc88076c7ba9424a">&#9670;&#160;</a></span>drawTickLabel()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void QCPAxisPainterPrivate::drawTickLabel </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_q_c_p_painter.html">QCPPainter</a> *&#160;</td>
          <td class="paramname"><em>painter</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="struct_q_c_p_axis_painter_private_1_1_tick_label_data.html">TickLabelData</a> &amp;&#160;</td>
          <td class="paramname"><em>labelData</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l10306">10306</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_painter_private_aab666e1d85b234afbc88076c7ba9424a_icgraph.png" border="0" usemap="#aclass_q_c_p_axis_painter_private_aab666e1d85b234afbc88076c7ba9424a_icgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_painter_private_aab666e1d85b234afbc88076c7ba9424a_icgraph" id="aclass_q_c_p_axis_painter_private_aab666e1d85b234afbc88076c7ba9424a_icgraph">
<area shape="rect" title=" " alt="" coords="573,5,731,45"/>
<area shape="rect" href="class_q_c_p_axis_painter_private.html#af8fe7350c19575bc33ca770f9b3a15fd" title=" " alt="" coords="368,5,525,45"/>
<area shape="poly" title=" " alt="" coords="559,28,526,28,526,23,559,23"/>
<area shape="rect" href="class_q_c_p_axis_painter_private.html#a0207a99bdf9c4f70af20928898ddc2fc" title=" " alt="" coords="163,5,320,45"/>
<area shape="poly" title=" " alt="" coords="354,28,320,28,320,23,354,23"/>
<area shape="rect" href="class_q_c_p_axis.html#ac15ebb4225ca5212d8e5fffae481bc9b" title=" " alt="" coords="5,13,115,38"/>
<area shape="poly" title=" " alt="" coords="149,28,115,28,115,23,149,23"/>
</map>
</div>

</div>
</div>
<a id="a5331f78e398da5442767c261578da502" name="a5331f78e398da5442767c261578da502"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5331f78e398da5442767c261578da502">&#9670;&#160;</a></span>getTickLabelData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_q_c_p_axis_painter_private_1_1_tick_label_data.html">QCPAxisPainterPrivate::TickLabelData</a> QCPAxisPainterPrivate::getTickLabelData </td>
          <td>(</td>
          <td class="paramtype">const QFont &amp;&#160;</td>
          <td class="paramname"><em>font</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const QString &amp;&#160;</td>
          <td class="paramname"><em>text</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l10345">10345</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_painter_private_a5331f78e398da5442767c261578da502_icgraph.png" border="0" usemap="#aclass_q_c_p_axis_painter_private_a5331f78e398da5442767c261578da502_icgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_painter_private_a5331f78e398da5442767c261578da502_icgraph" id="aclass_q_c_p_axis_painter_private_a5331f78e398da5442767c261578da502_icgraph">
<area shape="rect" title=" " alt="" coords="636,37,793,77"/>
<area shape="rect" href="class_q_c_p_axis_painter_private.html#a7a961f0e05c57b51cf1100b05e93f5b9" title=" " alt="" coords="431,5,588,45"/>
<area shape="poly" title=" " alt="" coords="622,46,588,40,589,35,623,40"/>
<area shape="rect" href="class_q_c_p_axis_painter_private.html#af8fe7350c19575bc33ca770f9b3a15fd" title=" " alt="" coords="431,69,588,109"/>
<area shape="poly" title=" " alt="" coords="623,74,589,80,588,74,622,69"/>
<area shape="rect" href="class_q_c_p_axis_painter_private.html#a62aa9247b2ab22a3e069b9b867376f85" title=" " alt="" coords="225,5,383,45"/>
<area shape="poly" title=" " alt="" coords="417,28,383,28,383,23,417,23"/>
<area shape="rect" href="class_q_c_p_axis.html#a47bdb0a55de6759489ee47665199aebb" title=" " alt="" coords="5,13,177,38"/>
<area shape="poly" title=" " alt="" coords="211,28,177,28,177,23,211,23"/>
<area shape="rect" href="class_q_c_p_axis_painter_private.html#a0207a99bdf9c4f70af20928898ddc2fc" title=" " alt="" coords="225,69,383,109"/>
<area shape="poly" title=" " alt="" coords="417,92,383,92,383,87,417,87"/>
<area shape="rect" href="class_q_c_p_axis.html#ac15ebb4225ca5212d8e5fffae481bc9b" title=" " alt="" coords="37,77,146,102"/>
<area shape="poly" title=" " alt="" coords="211,92,146,92,146,87,211,87"/>
</map>
</div>

</div>
</div>
<a id="a6205b60c7d305854ffd7602139433f6e" name="a6205b60c7d305854ffd7602139433f6e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6205b60c7d305854ffd7602139433f6e">&#9670;&#160;</a></span>getTickLabelDrawOffset()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QPointF QCPAxisPainterPrivate::getTickLabelDrawOffset </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="struct_q_c_p_axis_painter_private_1_1_tick_label_data.html">TickLabelData</a> &amp;&#160;</td>
          <td class="paramname"><em>labelData</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l10427">10427</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_painter_private_a6205b60c7d305854ffd7602139433f6e_icgraph.png" border="0" usemap="#aclass_q_c_p_axis_painter_private_a6205b60c7d305854ffd7602139433f6e_icgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_painter_private_a6205b60c7d305854ffd7602139433f6e_icgraph" id="aclass_q_c_p_axis_painter_private_a6205b60c7d305854ffd7602139433f6e_icgraph">
<area shape="rect" title=" " alt="" coords="573,5,741,45"/>
<area shape="rect" href="class_q_c_p_axis_painter_private.html#af8fe7350c19575bc33ca770f9b3a15fd" title=" " alt="" coords="368,5,525,45"/>
<area shape="poly" title=" " alt="" coords="560,28,525,28,525,23,560,23"/>
<area shape="rect" href="class_q_c_p_axis_painter_private.html#a0207a99bdf9c4f70af20928898ddc2fc" title=" " alt="" coords="163,5,320,45"/>
<area shape="poly" title=" " alt="" coords="354,28,320,28,320,23,354,23"/>
<area shape="rect" href="class_q_c_p_axis.html#ac15ebb4225ca5212d8e5fffae481bc9b" title=" " alt="" coords="5,13,115,38"/>
<area shape="poly" title=" " alt="" coords="149,28,115,28,115,23,149,23"/>
</map>
</div>

</div>
</div>
<a id="a7a961f0e05c57b51cf1100b05e93f5b9" name="a7a961f0e05c57b51cf1100b05e93f5b9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7a961f0e05c57b51cf1100b05e93f5b9">&#9670;&#160;</a></span>getMaxTickLabelSize()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void QCPAxisPainterPrivate::getMaxTickLabelSize </td>
          <td>(</td>
          <td class="paramtype">const QFont &amp;&#160;</td>
          <td class="paramname"><em>font</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const QString &amp;&#160;</td>
          <td class="paramname"><em>text</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QSize *&#160;</td>
          <td class="paramname"><em>tickLabelsSize</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l10528">10528</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_painter_private_a7a961f0e05c57b51cf1100b05e93f5b9_cgraph.png" border="0" usemap="#aclass_q_c_p_axis_painter_private_a7a961f0e05c57b51cf1100b05e93f5b9_cgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_painter_private_a7a961f0e05c57b51cf1100b05e93f5b9_cgraph" id="aclass_q_c_p_axis_painter_private_a7a961f0e05c57b51cf1100b05e93f5b9_cgraph">
<area shape="rect" title=" " alt="" coords="5,69,163,109"/>
<area shape="rect" href="class_q_custom_plot.html#a53d35abe0f576f9838cde5d0bee47657" title=" " alt="" coords="211,5,389,45"/>
<area shape="poly" title=" " alt="" coords="151,67,218,47,219,52,153,72"/>
<area shape="rect" href="class_q_c_p_axis_painter_private.html#a5331f78e398da5442767c261578da502" title=" " alt="" coords="221,69,379,109"/>
<area shape="poly" title=" " alt="" coords="163,87,208,87,208,92,163,92"/>
<area shape="rect" href="class_q_custom_plot.html#ac724f4075822f74f7b676a790095b877" title=" " alt="" coords="211,134,389,159"/>
<area shape="poly" title=" " alt="" coords="161,107,239,128,237,133,159,112"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_painter_private_a7a961f0e05c57b51cf1100b05e93f5b9_icgraph.png" border="0" usemap="#aclass_q_c_p_axis_painter_private_a7a961f0e05c57b51cf1100b05e93f5b9_icgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_painter_private_a7a961f0e05c57b51cf1100b05e93f5b9_icgraph" id="aclass_q_c_p_axis_painter_private_a7a961f0e05c57b51cf1100b05e93f5b9_icgraph">
<area shape="rect" title=" " alt="" coords="431,5,588,45"/>
<area shape="rect" href="class_q_c_p_axis_painter_private.html#a62aa9247b2ab22a3e069b9b867376f85" title=" " alt="" coords="225,5,383,45"/>
<area shape="poly" title=" " alt="" coords="417,28,383,28,383,23,417,23"/>
<area shape="rect" href="class_q_c_p_axis.html#a47bdb0a55de6759489ee47665199aebb" title=" " alt="" coords="5,13,177,38"/>
<area shape="poly" title=" " alt="" coords="211,28,177,28,177,23,211,23"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Dokumentacja atrybutów składowych</h2>
<a id="ae04594e97417336933d807c86d353098" name="ae04594e97417336933d807c86d353098"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae04594e97417336933d807c86d353098">&#9670;&#160;</a></span>type</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_q_c_p_axis.html#ae2bcc1728b382f10f064612b368bc18a">QCPAxis::AxisType</a> QCPAxisPainterPrivate::type</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02440">2440</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="ab4affb27ae3485fecb7466622cabcbb2" name="ab4affb27ae3485fecb7466622cabcbb2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab4affb27ae3485fecb7466622cabcbb2">&#9670;&#160;</a></span>basePen</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QPen QCPAxisPainterPrivate::basePen</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02441">2441</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a077696dd1e7efb96e4c199f521433e24" name="a077696dd1e7efb96e4c199f521433e24"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a077696dd1e7efb96e4c199f521433e24">&#9670;&#160;</a></span>lowerEnding</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_q_c_p_line_ending.html">QCPLineEnding</a> QCPAxisPainterPrivate::lowerEnding</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02442">2442</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="af764be913be5f924700ac9bbb8c01139" name="af764be913be5f924700ac9bbb8c01139"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af764be913be5f924700ac9bbb8c01139">&#9670;&#160;</a></span>upperEnding</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_q_c_p_line_ending.html">QCPLineEnding</a> QCPAxisPainterPrivate::upperEnding</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02442">2442</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a3f7465372df132bf7814345ea697dd34" name="a3f7465372df132bf7814345ea697dd34"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3f7465372df132bf7814345ea697dd34">&#9670;&#160;</a></span>labelPadding</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int QCPAxisPainterPrivate::labelPadding</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02443">2443</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="add1ff1030fbc36112c19b1468ad82d55" name="add1ff1030fbc36112c19b1468ad82d55"></a>
<h2 class="memtitle"><span class="permalink"><a href="#add1ff1030fbc36112c19b1468ad82d55">&#9670;&#160;</a></span>labelFont</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QFont QCPAxisPainterPrivate::labelFont</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02444">2444</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a5c36467daf057da0cf0792f3c5a06089" name="a5c36467daf057da0cf0792f3c5a06089"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5c36467daf057da0cf0792f3c5a06089">&#9670;&#160;</a></span>labelColor</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QColor QCPAxisPainterPrivate::labelColor</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02445">2445</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="afe004c322f92543c0467afc02da6cf6d" name="afe004c322f92543c0467afc02da6cf6d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afe004c322f92543c0467afc02da6cf6d">&#9670;&#160;</a></span>label</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QString QCPAxisPainterPrivate::label</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02446">2446</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a264cfa080e84e536cf2d1ab9c5d5cc5f" name="a264cfa080e84e536cf2d1ab9c5d5cc5f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a264cfa080e84e536cf2d1ab9c5d5cc5f">&#9670;&#160;</a></span>tickLabelPadding</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int QCPAxisPainterPrivate::tickLabelPadding</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02447">2447</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="ae6ade9232a8e400924009e8edca94bac" name="ae6ade9232a8e400924009e8edca94bac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae6ade9232a8e400924009e8edca94bac">&#9670;&#160;</a></span>tickLabelRotation</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double QCPAxisPainterPrivate::tickLabelRotation</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02448">2448</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a9d27f7625fcfbeb3a60193d0c18fc7e9" name="a9d27f7625fcfbeb3a60193d0c18fc7e9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9d27f7625fcfbeb3a60193d0c18fc7e9">&#9670;&#160;</a></span>tickLabelSide</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_q_c_p_axis.html#a24b13374b9b8f75f47eed2ea78c37db9">QCPAxis::LabelSide</a> QCPAxisPainterPrivate::tickLabelSide</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02449">2449</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a546d22b10ddb5ca8582b7deb90223a91" name="a546d22b10ddb5ca8582b7deb90223a91"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a546d22b10ddb5ca8582b7deb90223a91">&#9670;&#160;</a></span>substituteExponent</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool QCPAxisPainterPrivate::substituteExponent</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02450">2450</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a0deb7524009140f00a774dfd286d002c" name="a0deb7524009140f00a774dfd286d002c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0deb7524009140f00a774dfd286d002c">&#9670;&#160;</a></span>numberMultiplyCross</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool QCPAxisPainterPrivate::numberMultiplyCross</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02451">2451</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="ae7360ff805fc6097019de8b35ffbd7e7" name="ae7360ff805fc6097019de8b35ffbd7e7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae7360ff805fc6097019de8b35ffbd7e7">&#9670;&#160;</a></span>tickLengthIn</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int QCPAxisPainterPrivate::tickLengthIn</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02452">2452</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="acbebb1f868906200f968627bc907b77d" name="acbebb1f868906200f968627bc907b77d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acbebb1f868906200f968627bc907b77d">&#9670;&#160;</a></span>tickLengthOut</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int QCPAxisPainterPrivate::tickLengthOut</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02452">2452</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="af11f7d83021c9cb3b0e76fe7814c6110" name="af11f7d83021c9cb3b0e76fe7814c6110"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af11f7d83021c9cb3b0e76fe7814c6110">&#9670;&#160;</a></span>subTickLengthIn</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int QCPAxisPainterPrivate::subTickLengthIn</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02452">2452</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a5f1afddc3dc7ccc4d5adcbcd8f0c2218" name="a5f1afddc3dc7ccc4d5adcbcd8f0c2218"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5f1afddc3dc7ccc4d5adcbcd8f0c2218">&#9670;&#160;</a></span>subTickLengthOut</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int QCPAxisPainterPrivate::subTickLengthOut</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02452">2452</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a389dde97f02fdee23965e4736e7d8c62" name="a389dde97f02fdee23965e4736e7d8c62"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a389dde97f02fdee23965e4736e7d8c62">&#9670;&#160;</a></span>tickPen</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QPen QCPAxisPainterPrivate::tickPen</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02453">2453</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a9b9cf594cd16575f52ecda9abef4e412" name="a9b9cf594cd16575f52ecda9abef4e412"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9b9cf594cd16575f52ecda9abef4e412">&#9670;&#160;</a></span>subTickPen</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QPen QCPAxisPainterPrivate::subTickPen</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02453">2453</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a06cb4b185feb1e560e01d65887e4d80d" name="a06cb4b185feb1e560e01d65887e4d80d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a06cb4b185feb1e560e01d65887e4d80d">&#9670;&#160;</a></span>tickLabelFont</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QFont QCPAxisPainterPrivate::tickLabelFont</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02454">2454</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a88032cf15c997e3956b79617b859e8ad" name="a88032cf15c997e3956b79617b859e8ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a88032cf15c997e3956b79617b859e8ad">&#9670;&#160;</a></span>tickLabelColor</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QColor QCPAxisPainterPrivate::tickLabelColor</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02455">2455</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="afcd55b0e1ecd689fffd2b1fc75dc7732" name="afcd55b0e1ecd689fffd2b1fc75dc7732"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afcd55b0e1ecd689fffd2b1fc75dc7732">&#9670;&#160;</a></span>axisRect</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QRect QCPAxisPainterPrivate::axisRect</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02456">2456</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a8627dc6b40781e3291bb508e4ac574d6" name="a8627dc6b40781e3291bb508e4ac574d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8627dc6b40781e3291bb508e4ac574d6">&#9670;&#160;</a></span>viewportRect</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QRect QCPAxisPainterPrivate::viewportRect</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02456">2456</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a2a3931110efed91b0bb2f8cf1908a8e7" name="a2a3931110efed91b0bb2f8cf1908a8e7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2a3931110efed91b0bb2f8cf1908a8e7">&#9670;&#160;</a></span>offset</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int QCPAxisPainterPrivate::offset</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02457">2457</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a68353c2eeabd00d96a2e36a0b3809cb2" name="a68353c2eeabd00d96a2e36a0b3809cb2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a68353c2eeabd00d96a2e36a0b3809cb2">&#9670;&#160;</a></span>abbreviateDecimalPowers</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool QCPAxisPainterPrivate::abbreviateDecimalPowers</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02458">2458</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a06d0ef3f4f1b567feb84196fc3b140da" name="a06d0ef3f4f1b567feb84196fc3b140da"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a06d0ef3f4f1b567feb84196fc3b140da">&#9670;&#160;</a></span>reversedEndings</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool QCPAxisPainterPrivate::reversedEndings</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02459">2459</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="afcde7484bbcc1004b8f59ab984ada6f9" name="afcde7484bbcc1004b8f59ab984ada6f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afcde7484bbcc1004b8f59ab984ada6f9">&#9670;&#160;</a></span>subTickPositions</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QVector&lt;double&gt; QCPAxisPainterPrivate::subTickPositions</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02461">2461</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="ae55e3dc2cf2af8d8a6e7235ccab54786" name="ae55e3dc2cf2af8d8a6e7235ccab54786"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae55e3dc2cf2af8d8a6e7235ccab54786">&#9670;&#160;</a></span>tickPositions</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QVector&lt;double&gt; QCPAxisPainterPrivate::tickPositions</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02462">2462</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="ad0a4998ca358ba751e84fca45a025abd" name="ad0a4998ca358ba751e84fca45a025abd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad0a4998ca358ba751e84fca45a025abd">&#9670;&#160;</a></span>tickLabels</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QVector&lt;QString&gt; QCPAxisPainterPrivate::tickLabels</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02463">2463</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a882029a5f2d4abd71289d415c9b90a28" name="a882029a5f2d4abd71289d415c9b90a28"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a882029a5f2d4abd71289d415c9b90a28">&#9670;&#160;</a></span>mParentPlot</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_q_custom_plot.html">QCustomPlot</a>* QCPAxisPainterPrivate::mParentPlot</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02477">2477</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="aab8be59df22ed4e43e3a6d511cbc466a" name="aab8be59df22ed4e43e3a6d511cbc466a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab8be59df22ed4e43e3a6d511cbc466a">&#9670;&#160;</a></span>mLabelParameterHash</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QByteArray QCPAxisPainterPrivate::mLabelParameterHash</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02478">2478</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a07ac270ea0c0ae084debd48d6a740e35" name="a07ac270ea0c0ae084debd48d6a740e35"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a07ac270ea0c0ae084debd48d6a740e35">&#9670;&#160;</a></span>mLabelCache</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QCache&lt;QString, <a class="el" href="struct_q_c_p_axis_painter_private_1_1_cached_label.html">CachedLabel</a>&gt; QCPAxisPainterPrivate::mLabelCache</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02479">2479</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a9d7586f4923994488bdd006415b13f5f" name="a9d7586f4923994488bdd006415b13f5f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9d7586f4923994488bdd006415b13f5f">&#9670;&#160;</a></span>mAxisSelectionBox</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QRect QCPAxisPainterPrivate::mAxisSelectionBox</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02480">2480</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a0adaf5f1d89be0f32dc4a904d157e5a9" name="a0adaf5f1d89be0f32dc4a904d157e5a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0adaf5f1d89be0f32dc4a904d157e5a9">&#9670;&#160;</a></span>mTickLabelsSelectionBox</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QRect QCPAxisPainterPrivate::mTickLabelsSelectionBox</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02480">2480</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="abac9a47048d537f72ca147b6f29d30f1" name="abac9a47048d537f72ca147b6f29d30f1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abac9a47048d537f72ca147b6f29d30f1">&#9670;&#160;</a></span>mLabelSelectionBox</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QRect QCPAxisPainterPrivate::mLabelSelectionBox</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l02480">2480</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<hr/>Dokumentacja dla tej klasy została wygenerowana z plików:<ul>
<li><a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a></li>
<li><a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_q_c_p_axis_painter_private.html">QCPAxisPainterPrivate</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
